Subject: Re: [PATCH V4] powerpc/hugetlb: Add ABI defines for supported HugeTLB page sizes

From: Michael Ellerman <[email-masked]>
Date: Sat, 08 Apr 2017 19:19:26 +1000

Paul Clarke <[email-masked]> writes:

> nits... take 'em or leave 'em...
>
> On 04/07/2017 08:01 AM, Michael Ellerman wrote:
>> Anshuman Khandual <[email-masked]> writes:
>> And I reworded the comment the make it clearer (I think) that most users
>> shouldn't need to use these, and should just use the default size:
>>
>> /*
>>  * When MAP_HUGETLB is set bits [26:31] encode the log2 of the huge page size.
>
> need a comma after "set".

Hmm, 'spose.

> also, "bits [26:31]" of what?

Flags!

But yeah fair cop, as it happened I was rebasing it anyway, so:

/*
 * When MAP_HUGETLB is set, bits [26:31] of the flags argument to mmap(2),
 * encode the log2 of the huge page size. A value of zero indicates that the
 * default huge page size should be used. To use a non-default huge page size,
 * one of these defines can be used, or the size can be encoded by hand. Note
 * that on most systems only a subset, or possibly none, of these sizes will be
 * available.
 */

Thanks for the review.

cheers